Name:           kde-plasma-networkmanagement
Version:        0.1
Release:        0.12.20090519svn%{?dist}
Summary:        NetworkManager KDE 4 integration

Group:          User Interface/Desktops
License:        (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and LGPLv2
URL:            http://websvn.kde.org/trunk/playground/base/plasma/applets/networkmanager/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 970021 svn://anonsvn.kde.org/home/kde/trunk/playground/base/plasma/applets/networkmanager kde-plasma-networkmanagement-0.1
#  tar -c kde-plasma-networkmanagement-0.1 | bzip2 --best -c > kde-plasma-networkmanagement-0.1.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.1.96
BuildRequires:  NetworkManager-glib-devel >= 0.7.0
BuildRequires:  PolicyKit-devel

Obsoletes:      kde-plasma-networkmanager < %{version}-%{release}
Provides:       kde-plasma-networkmanager = %{version}-%{release}
%if 0%{?fedora} > 10
Obsoletes:      knetworkmanager < 1:%{version}-%{release}
Provides:       knetworkmanager = 1:%{version}-%{release}
%endif

%description
A Plasma applet to control your wired and wireless network(s) in KDE 4 using
the default NetworkManager service. This is alpha software with known issues.
We still recommend nm-applet from NetworkManager-gnome for production use.

%package devel
Summary:        Files needed to develop programs which use the Network Manager plasmoid
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       kdebase-workspace-devel
Requires:       NetworkManager-glib-devel

Obsoletes:      kde-plasma-networkmanager-devel < %{version}-%{release}
Provides:       kde-plasma-networkmanager-devel = %{version}-%{release}
%if 0%{?fedora} > 10
Obsoletes:      knetworkmanager-devel < 1:%{version}-%{release}
Provides:       knetworkmanager-devel = 1:%{version}-%{release}
%endif

%description devel
%{summary}.

%package openvpn
Summary:        Libraries for the Network Manager plasmoid to use OpenVPN
Group:          User Interface/Desktops
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-openvpn

Obsoletes:      kde-plasma-networkmanager-openvpn < %{version}-%{release}
Provides:       kde-plasma-networkmanager-openvpn = %{version}-%{release}
%if 0%{?fedora} > 10
Obsoletes:      knetworkmanager-openvpn < 1:%{version}-%{release}
Provides:       knetworkmanager-openvpn = 1:%{version}-%{release}
%endif

%description openvpn
%{summary}.

%package vpnc
Summary:        Libraries for the Network Manager plasmoid to use vpnc
Group:          User Interface/Desktops
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-vpnc

Obsoletes:      kde-plasma-networkmanager-vpnc < %{version}-%{release}
Provides:       kde-plasma-networkmanager-vpnc = %{version}-%{release}
%if 0%{?fedora} > 10
Obsoletes:      knetworkmanager-vpnc < 1:%{version}-%{release}
Provides:       knetworkmanager-vpnc = 1:%{version}-%{release}
%endif

%description vpnc
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DDBUS_SYSTEM_POLICY_DIR=%{_sysconfdir}/dbus-1/system.d
popd
make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot} PREFIX=%{_prefix}


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :


%postun
/sbin/ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc TODO DESIGN
%{_sysconfdir}/dbus-1/system.d/NetworkManager-kde4.conf
%{_kde4_libdir}/kde4/kcm_networkmanagement.so
%{_kde4_libdir}/kde4/kded_knetworkmanager.so
%{_kde4_libdir}/kde4/plasma_applet_networkmanagement.so
%{_kde4_libdir}/libknmdbus.so.4
%{_kde4_libdir}/libknmdbus.so.4.2.0
%{_kde4_libdir}/libknmstorage.so.4
%{_kde4_libdir}/libknmstorage.so.4.2.0
%{_kde4_libdir}/libknmui.so.4
%{_kde4_libdir}/libknmui.so.4.2.0
%{_kde4_libexecdir}/networkmanagement_configshell
%{_kde4_iconsdir}/oxygen/32x32/actions/accesspoint.png
%{_kde4_appsdir}/desktoptheme/default/networkmanagement/networkmanagement-wireless.svgz
%{_kde4_appsdir}/desktoptheme/default/networkmanagement/networkmanagement.svg
%{_kde4_appsdir}/networkmanagement/
%{_kde4_datadir}/kde4/services/kcm_networkmanagement.desktop
%{_kde4_datadir}/kde4/services/kded/knetworkmanager.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-networkmanagement.desktop
%{_kde4_datadir}/kde4/servicetypes/networkmanagement_vpnuiplugin.desktop

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/libknmdbus.so
%{_kde4_libdir}/libknmstorage.so
%{_kde4_libdir}/libknmui.so

%files openvpn
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde4_datadir}/kde4/services/networkmanagement_openvpnui.desktop

%files vpnc
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_vpncui.so
%{_kde4_datadir}/kde4/services/networkmanagement_vpncui.desktop


%changelog
* Wed May 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.12.20090519svn
- New snapshot (revision 970021 committed 2009-05-19 09:34:14 -0400)

* Tue May 05 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.11.20090504svn
- New snapshot (revision 963263 committed 2009-05-04 10:57 UTC)
- Clarify %%description

* Fri Apr 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.10.20090424svn
- Respin snapshot
- Add disclaimer to %%description

* Wed Apr 8 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.9.20090403svn
- Respin snapshot

* Tue Mar 3 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.8.20090302svn
- Respin snapshot

* Tue Mar 3 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.7.20090217svn
- Obsoletes/Provides knetworkmanager on F11+ for upgrade paths

* Tue Feb 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.6.20090217svn
- Moved P/O to correct places

* Sat Feb 21 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.5.20090217svn
- Fixed Provides to have a version
- Fixed Obsoletes/Provides for subpackages
- Fixed licensing

* Fri Feb 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.4.20090217svn
- Fixed Obsoletes/Provides
- Fixed URL

* Sat Feb 7 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.3.20090207svn
- Add changelog
- Added tarball creation 
- Changed name to kde-plasma-networkmanagement

* Tue Jan 13 2009 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1-0.2.20090111svn
- General cleanup

* Sun Jan 11 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.1.20090111svn
- Initial package
